pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: transcode build broken after the ImageMagick update (was: CVS commit: pkgsrc/graphics)


On Sat, 22 Nov 2008 02:38:21 +0900, Adam Ciarciński <> 

>> This change also broke at least transcode:
>> [..]
>> checking for InitializeMagick in -lMagick... no
>> [..]
>> ERROR: option '--enable-imagemagick' failed: cannot link against
>> libMagick
>> libMagick can be found in the following packages:
>>  Wand
> I have updated transcode to link against libMagickCore instead of
> libMagick.
> Thanks for pointing this out.

Rename of library cause binary incompatible with older ImageMagick.

BUILDLINK_ABI_DEPENDS.ImageMagick should be bumped and
recursive PKGREVISION bump.

"Of course I love NetBSD":-)
OBATA Akio /

Home | Main Index | Thread Index | Old Index